<div class="py-4 px-12">
  <div class="text-3xl md:text-4xl font-bold text-center mt-2 mb-4 md:mb-5 text-black">
    Khu vực đặt hàng
  </div>
  <div class="font-medium text-lg text-center mb-4 text-black">
    Vui lòng chọn khu vực bạn muốn đặt hàng
  </div>
  <form [formGroup]="form" (ngSubmit)="onSubmitForm()">
    <div>
      <mat-form-field appearance="outline" class="border-lg w-full" required>
        <!-- <mat-label>Chọn Thành Phố</mat-label> -->
        <mat-select placeholder="Chọn Thành Phố" formControlName="province" panelClass="matSelectClass" disableOptionCentering >
          <mat-option [value]="pro.node?.province?.id" *ngFor="let pro of province" (onSelectionChange)="changeProvince($event, pro)">
            {{pro.node?.province?.nameProvince}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field appearance="outline" class="border-lg w-full" required >
        <!-- <mat-label>Chọn Thành Phố</mat-label> -->
        <mat-select placeholder="Chọn Quận"  formControlName="district" [disabled]="!form.controls?.province?.value"  panelClass="matSelectClass" disableOptionCentering>
          <mat-option [value]="dis.node?.district?.id" *ngFor="let dis of district" (onSelectionChange)="changeDistrict($event, dis)">
            {{dis.node?.district?.nameDistrict}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field appearance="outline" class="border-lg w-full" required>
        <!-- <mat-label>Chọn Thành Phố</mat-label> -->
        <mat-select placeholder="Chọn Siêu Thị" [disabled]="!form.controls?.district?.value" formControlName="branch"  panelClass="matSelectClass" disableOptionCentering>
          <mat-option [value]="bra.node?.id" *ngFor="let bra of branch" (onSelectionChange)="changeBranch($event, bra)">
            {{bra.node?.name}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <div class="flex justify-center">
        <button mat-raised-button type="button" type="submit" [disabled]="validBranch">
          <span class="px-2 text-base">
            Bắt đầu đặt hàng
          </span>
        </button>
      </div>
    </div>
  </form>
</div>